Skip to main content
GET
/
v1
/
analytics
/
buckets
/
{bucket_id}
/
storage
Get Bucket Storage
curl --request GET \
  --url https://api.mixpeek.com/v1/analytics/buckets/{bucket_id}/storage \
  --header 'Authorization: Bearer <token>'
{
  "bucket_id": "<string>",
  "time_range": {
    "start": "2023-11-07T05:31:56Z",
    "end": "2023-11-07T05:31:56Z"
  },
  "metrics": [
    {
      "time_bucket": "2023-11-07T05:31:56Z",
      "total_size_bytes": 123,
      "object_count": 123,
      "avg_size_bytes": 123,
      "growth_rate_percent": 123
    }
  ],
  "summary": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

bucket_id
string
required

Query Parameters

start_date
string<date-time> | null

Start date (UTC)

end_date
string<date-time> | null

End date (UTC)

group_by
string
default:day

Time grouping: hour, day, week, month

Response

Successful Response

Storage growth trends response.

bucket_id
string
required

Bucket identifier

time_range
TimeRange · object
required

Query time range

metrics
StorageMetric · object[]
required

Time-series storage metrics

summary
Summary · object

Summary statistics